yp_master
yp_next
YP/NIS 함수 목록
PHP Manual

# yp_match

(PHP 4, PHP 5 <= 5.0.5)

yp_match — Returns the matched line

### 설명

string yp_match ( string `$domain` , string `$map` , string `$key` )

Returns the value associated with the passed `key` out of the specified `map` .

### 인수

`domain`

  The NIS domain name.

`map`

  The NIS map.

`key`

  This key must be exact.

### 반환값

Returns the value, or `FALSE` on errors.

### 예제

Example #1 Example for NIS match

`<?php
$entry = yp_match($domain, "passwd.byname", "joe");
echo "Matched entry is: " . $entry;
?>`

위 예제의 출력 예시:

    joe:##joe:11111:100:Joe User:/home/j/joe:/usr/local/bin/bash

### 참고

- yp_get_default_domain() - Fetches the machine's default NIS domain

yp_master
yp_next
YP/NIS 함수 목록
PHP Manual